# Generated by Django 4.2.3 on 2023-11-03 02:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app_model', '0007_diagnosis_big_change'),
    ]

    operations = [
        migrations.CreateModel(
            name='DietPlan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='diet_plans', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'diet_dietplan',
            },
        ),
        migrations.CreateModel(
            name='DietPlanFood',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('day', models.IntegerField(help_text='1일차 = 0')),
                ('meal', models.IntegerField(choices=[(0, '미정'), (1, '아침'), (2, '점심'), (3, '저녁'), (4, '간식')], default=0)),
                ('count', models.IntegerField(default=1)),
                ('in_diet', models.BooleanField(default=True)),
                ('in_cart', models.BooleanField(default=True)),
                ('is_recommended', models.BooleanField(default=False)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('diet_plan', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='foods', to='app_model.dietplan')),
                ('food_product', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='diet_plan_foods', to='app_model.foodproduct')),
                ('prev_replacement', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='next_replacements', to='app_model.dietplanfood')),
            ],
            options={
                'db_table': 'diet_dietplanfood',
            },
        ),
        migrations.CreateModel(
            name='DietPlanFoodEvent',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.IntegerField()),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='diet_plan_food_events', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'diet_dietplanfoodevent',
            },
        ),
        migrations.CreateModel(
            name='UserMealTagLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('log_type', models.IntegerField(choices=[(0, '미정'), (1, '설정'), (-1, '해제')], default=0)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_logs', to='app_model.usermealtag')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='meal_tag_logs', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'diet_usermealtaglog',
            },
        ),
        migrations.CreateModel(
            name='UserDislikeCategoryLayerParameterLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('log_type', models.IntegerField(choices=[(0, '미정'), (1, '설정'), (-1, '해제')], default=0)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_logs', to='app_model.dislikecategorylayerparameter')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='dislike_category_layer_parameter_logs', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'health_userdislikecategorylayerparamegerlog',
            },
        ),
        migrations.CreateModel(
            name='DietPlanFoodEventLog',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.IntegerField()),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('diet_plan_food', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='event_logs', to='app_model.dietplanfood')),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='logs', to='app_model.dietplanfoodevent')),
            ],
            options={
                'db_table': 'diet_dietplanfoodeventlog',
            },
        ),
        migrations.AddField(
            model_name='dietbundle',
            name='diet_plan',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='diet_bundles', to='app_model.dietplan'),
        ),
    ]
